import * as React from 'react';
import { BaseFieldProps } from '../common/interfaces/CommonProps';
import { WrappedFieldProps } from 'redux-form';
export interface InjectedExtraProps extends WrappedFieldProps {
    onChange: (value: any) => void;
    onBlur: () => void;
    value: any;
}
declare const withFormComponent: <P extends BaseFieldProps>(Component: React.ComponentType<P>) => {
    new (props: (BaseFieldProps & P & InjectedExtraProps) | Readonly<BaseFieldProps & P & InjectedExtraProps>): {
        componentDidMount(): void;
        componentDidUpdate(oldProps: BaseFieldProps & P & InjectedExtraProps): void;
        saveToStore: (data: any) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<BaseFieldProps & P & InjectedExtraProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<any>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
    };
    new (props: BaseFieldProps & P & InjectedExtraProps, context: any): {
        componentDidMount(): void;
        componentDidUpdate(oldProps: BaseFieldProps & P & InjectedExtraProps): void;
        saveToStore: (data: any) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<BaseFieldProps & P & InjectedExtraProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<any>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<BaseFieldProps & P & InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
    };
    contextType?: React.Context<any> | undefined;
};
export default withFormComponent;
