import * as React from 'react';
import { BaseFieldProps } from '../../common/interfaces/CommonProps';
export interface DropdownOption {
    value?: string;
    type?: 'header' | 'disabled' | 'divider';
}
export interface DropdownProps extends BaseFieldProps {
    isCaret?: boolean;
    color?: string;
    text: string;
    options: DropdownOption[];
    size?: string;
    direction?: string;
    onChange?: Function;
}
export interface RFDropdownState {
    isOpen: boolean;
}
export declare class Dropdown extends React.Component<DropdownProps, RFDropdownState> {
    static defaultProps: {
        isCaret: boolean;
        color: string;
        size: string;
        direction: string;
    };
    static DROPDOWN_TYPE: {
        HEADER: string;
        DISABLED: string;
        DIVIDER: string;
    };
    constructor(props: DropdownProps);
    toggle: () => void;
    saveToStore: (data: string) => void;
    render(): JSX.Element;
}
declare const _default: {
    new (props: (BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps) | Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>): {
        componentDidMount(): void;
        componentDidUpdate(oldProps: BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps): void;
        saveToStore: (data: any) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<any>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
    };
    new (props: BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps, context: any): {
        componentDidMount(): void;
        componentDidUpdate(oldProps: BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps): void;
        saveToStore: (data: any) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<any>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<BaseFieldProps & DropdownProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
    };
    contextType?: React.Context<any> | undefined;
};
export default _default;
